gvm_logging_t Struct Reference

Logging stores the parameters loaded from a log configuration. More...

## Data Fields

gchar * | log_domain
| Affected logdomain e.g libnasl.
gchar * | prepend_string
| Prepend this string before every message.
gchar * | prepend_time_format
| If prependstring has t, format for strftime.
gchar * | log_file
| Where to log to.
GLogLevelFlags * | default_level
| What severity level to use as default.
GIOChannel * | log_channel
| Gio Channel - FD holder for logfile.
gchar * | syslog_facility
| Syslog facility to use for syslog logging.
gchar * | syslog_ident
| Syslog ident to use for syslog logging.
gchar * | prepend_separator

## Detailed Description

Logging stores the parameters loaded from a log configuration.

file, to be used internally by the gvm_logging module only.

## Field Documentation

## default_level

GLogLevelFlags* gvm_logging_t::default_level

What severity level to use as default.

## log_channel

GIOChannel* gvm_logging_t::log_channel

Gio Channel - FD holder for logfile.

## log_domain

gchar* gvm_logging_t::log_domain

Affected logdomain e.g libnasl.

## log_file

gchar* gvm_logging_t::log_file

Where to log to.

## prepend_separator

gchar* gvm_logging_t::prepend_separator

If prependstring has s, used this symbol as separator.

## prepend_string

gchar* gvm_logging_t::prepend_string

Prepend this string before every message.

## prepend_time_format

gchar* gvm_logging_t::prepend_time_format

If prependstring has t, format for strftime.

## syslog_facility

gchar* gvm_logging_t::syslog_facility

Syslog facility to use for syslog logging.

## syslog_ident

gchar* gvm_logging_t::syslog_ident

Syslog ident to use for syslog logging.

The documentation for this struct was generated from the following file:

- base/logging.c